%define prefix /usr
%define name xcompton-tools
%define version 0.10
%define release %mkrel 2
%define url www.pclinuxos.com

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/LXDE
URL:		%{url}
Source:		%{name}-%{version}.tar.xz
Summary:	Simple scripts to start, and manage compton
Summary(de):	Einfache Scripte zum starten und verwalten von compton
#BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	compton bash gtkdialog
Obsoletes:	%name < %version

%description
%{summary}.
compton_start will start the composite in your LXDE.
It's checks first if direct rendering available.
If all checks ok, it will start compton.

compton_settings is a simple gui to manage compton commands.

Note: this tools will correctly work only for current 
users, not system wide.


#german
%description -l de
%{summary}.
compton_start startet Composite in LXDE.
Als erstes wird die Direct Rendering geprüft.
Sind alle Test erfolgreich, startet es compton.

compton_settings ist ein einfaches GUI zum verwalten der
compton Befehle.

Anmerkung: diese Tools funktionieren nur für den jeweiligen Benutzer, 
nicht Systemweit. 



%prep

%setup -q -n %{name}-%{version}


%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 compton_start compton_settings $RPM_BUILD_ROOT%{_bindir}

mkdir -p %{buildroot}%{_datadir}/pixmaps
install -m 644 xcomp.png %{buildroot}%{_datadir}/pixmaps/xcomp.png

mkdir -p %buildroot/%{_iconsdir}/hicolor/32x32/apps
convert $RPM_BUILD_DIR/%{name}-%{version}/xcomp.png -resize 32x32 %buildroot/%{_iconsdir}/hicolor/32x32/apps/xcomp.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/compton_start.desktop << EOF
[Desktop Entry]
Name=compton-start
Name[de]=compton-start
Comment=start compton now
Comment[de]=Startet compton jetzt
Exec=%{_bindir}/compton_start
Icon=xcomp.png
Terminal=false
Type=Application
Categories=Settings;GTK;X-MandrivaLinux-System-Configuration
Encoding=UTF-8
EOF

cat > %{buildroot}%{_datadir}/applications/compton_settings.desktop << EOF
[Desktop Entry]
Name=compton-settings
Name[de]=compton-Einstellungen
Comment=manage compton settings
Comment[de]=Verwaltet compton Einstellungen
Exec=%{_bindir}/compton_settings
Icon=xcomp.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-System-Configuration;DesktopSettings;LXQt;
Encoding=UTF-8
EOF

mkdir -p %{buildroot}%{_datadir}/locale/de/LC_MESSAGES
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/compton_start.mo $RPM_BUILD_DIR/%{name}-%{version}/po/compton_start-de_DE.po
msgfmt -o  %{buildroot}%{_datadir}/locale/de/LC_MESSAGES/compton_settings.mo $RPM_BUILD_DIR/%{name}-%{version}/po/compton_settings-de_DE.po

%post
%{update_menus}
%{update_desktop_database}


%postun
%{clean_menus}
%{clean_desktop_database}

%files
%defattr(-,root,root)
%{_bindir}/compton_start
%{_bindir}/compton_settings
%{_datadir}/applications/compton_start.desktop
%{_datadir}/applications/compton_settings.desktop
%{_iconsdir}/hicolor/32x32/apps/xcomp.png
%{_datadir}/pixmaps/xcomp.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat Aug 06 2016 adrianomorselli <adrianomorselli> 0.10-2uplos2016
- rebuild

* Sun Mar 27 2016 daniel <meisssw01 at gmail.com> 0.10-2pclos2016
- rebuild with display on LXQt Configuration Center

* Fri Dec 18 2015 daniel <meisssw01 at gmail.com> 0.10-1pclos2016
- add menu
- add function to start/stop compton
- move autostart funktion to menu
- move current settings to menu
- bump to version 0.10

* Sun Nov 22 2015 daniel <meisssw01 at gmail.com> 0.07-1pclos2015
- shrink window for smaller displays
- add new tab calling simple
- history is now selectable for copy'n'paste

* Thu Nov 12 2015 daniel <meisssw01 at gmail.com> 0.06-1pclos2015
- read now settings
- change start/stop function
- change default settings by first start
- add history
- add function to check, that is compton starts after change
  settings
- display settings in entry dialog
- bugfix
- based now only on gtkdialog


* Fri Oct 30 2015 daniel <meisssw01 at gmail.com> 0.05-2pclos2015
- bugfix

* Sat Oct 17 2015 daniel <meisssw01 at gmail.com> 0.05-1pclos2015
- add a new single command, rewrite gui

* Sun Dec 29 2013 daniel <meisssw01 at gmail.com> 0.04-1free2014
- rewrite gui to display tabs 
 
* Tue Oct 02 2012 Neal <nealbrks0 at gmail dot com> 0.03-1pclos2012
- process

* Sun Sep 30 2012 daniel <meisssw01 at gmail.com> 0.03-1leiche2012
- rebuild for latest gtkdialog
- changes some commands
  
* Tue Jul 17 2012 leiche <meisssw01 at gmail.com> 0.02-1leiche2012
- add german language (ghostbunny)
 
* Sat Jul 14 2012 leiche <meisssw01 at gmail.com> 0.01-1leiche2012
- create package for pclinuxos
